import { FormattedDispatch } from "./FormattedDispatch";
import { IDispatch } from "./IDispatch";
import { ILogItem } from "./ILogItem";
import { LogLevel } from "./LogLevel";

export class StdoutDispatch extends FormattedDispatch {
  process(item: ILogItem) {
    process.stdout.write(this.format(item) + "\n");
    super.process(item);
  }
}
